Log Analytics - Get Log Analytics Resources

Get all endpoints and custom domains available for AFD log report

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cdn/profiles/{profileName}/getLogAnalyticsResources?api-version=2025-04-15

URI Parameters

Name In Required Type Description
profileName
path True

string

Name of the Azure Front Door Standard or Azure Front Door Premium profile which is unique within the resource group. which is unique within the resource group.

resourceGroupName
path True

string

minLength: 1
maxLength: 90
pattern: ^[-\w\._\(\)]+$

Name of the Resource group within the Azure subscription.

subscriptionId
path True

string

Azure Subscription ID.

api-version
query True

string

Version of the API to be used with the client request. Current version is 2025-04-15.

Responses

Name Type Description
200 OK

ResourcesResponse

Describe the result of a successful operation.

Other Status Codes

AfdErrorResponse

Azure Front Door Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

LogAnalytics_GetLogAnalyticsResources

Sample request

GET https://management.azure.com/subscriptions/subid/resourceGroups/RG/providers/Microsoft.Cdn/profiles/profile1/getLogAnalyticsResources?api-version=2025-04-15

Sample response

{
  "endpoints": [
    {
      "id": "endpoint1",
      "name": "endpoint1.azureedge.net",
      "history": false,
      "customDomains": [
        {
          "id": "customdomain1.azurecdn.net",
          "name": "customdomain1.azurecdn.net",
          "endpointId": "enbdpiont1",
          "history": true
        },
        {
          "id": "customdomain2.azurecdn.net",
          "name": "customdomain2.azurecdn.net",
          "endpointId": null,
          "history": true
        }
      ]
    }
  ],
  "customDomains": [
    {
      "id": "customdomain1.azurecdn.net",
      "name": "customdomain1.azurecdn.net",
      "endpointId": null,
      "history": true
    },
    {
      "id": "customdomain2.azurecdn.net",
      "name": "customdomain2.azurecdn.net",
      "endpointId": null,
      "history": true
    },
    {
      "id": "customdomain3.azurecdn.net",
      "name": "customdomain3.azurecdn.net",
      "endpointId": null,
      "history": true
    }
  ]
}

Definitions

Name Description
AfdErrorResponse

Error response

CustomDomains
Endpoints
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ResourcesResponse

Resources Response

AfdErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

CustomDomains

Name Type Description
endpointId

string

history

boolean

id

string

name

string

Endpoints

Name Type Description
customDomains

CustomDomains[]

history

boolean

id

string

name

string

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ResourcesResponse

Resources Response

Name Type Description
customDomains

CustomDomains[]

endpoints

Endpoints[]